#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x96c1aaa0, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd866b179, "filp_open" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8d81f960, "param_ops_uint" },
	{ 0xa60a815d, "backlight_device_unregister" },
	{ 0xccd33338, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6f64771, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0x7a547598, "proc_mkdir_mode" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0ef3e63, "seq_lseek" },
	{ 0xdfe6ea5, "proc_create_data" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xe58bb8d5, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x611c1b67, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x80e94249, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x9166fada, "strncpy" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92c6542, "kthread_stop" },
	{ 0xc692ac4d, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xaae9d662, "param_ops_charp" },
	{ 0x5ca86e1, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x963ca7a7, "proc_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea0f048f, "kthread_create_on_node" },
	{ 0xeaa03669, "seq_read" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf9f31f40, "param_ops_bool" },
	{ 0xcc8c74e2, "filp_close" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x78554289, "backlight_device_register" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3bbeac2, "__acpi_video_get_backlight_type" },
	{ 0xfc0a0d67, "seq_puts" },
	{ 0xa8bf6664, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41e2159d, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4535748d, "param_ops_int" },
	{ 0xab1471f, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77dba2f8, "cdev_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd47d42b6, "kmalloc_caches" },
	{ 0x50d25197, "cdev_del" },
	{ 0x6e5dbd7f, "module_layout" },
};

MODULE_INFO(depends, "video,nvidia");


MODULE_INFO(srcversion, "10A979EDEE9A792A0EFA53C");
MODULE_INFO(rhelversion, "9.6");
