#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x9c46b0db, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x51a2d062, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xf7605c03, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0xcec424b8, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0xa303b08e, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x3020ebdf, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x76f96697, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x54ded485, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x50973234, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc4e8de0a, "pci_iounmap" },
	{ 0xdf588138, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x77dba2f8, "cdev_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xd2f5fabf, "init_pid_ns" },
	{ 0xab1471f, "single_open" },
	{ 0x89ac6e2f, "pci_restore_state" },
	{ 0xe3ffa934, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x1c49ef3a, "device_destroy" },
	{ 0xfab73dfe, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x916758a3, "node_states" },
	{ 0x69188c61, "kmem_cache_alloc" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0xc8fcff65, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8897bb21, "vmf_insert_pfn_prot" },
	{ 0x80e94249, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc7c7a076, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x41e2159d, "kmalloc_trace" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcdb8954e, "pci_get_domain_bus_and_slot" },
	{ 0xb049efaf, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfe7bde1b, "follow_pfn" },
	{ 0xcd11f32e, "vga_set_legacy_decoding" },
	{ 0x8f9660c1, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x50617131, "node_data" },
	{ 0xa3c4430d, "__folio_put" },
	{ 0x9e9b6467, "pci_rebar_get_possible_sizes" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x16851b2c, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0xece784c2, "rb_first" },
	{ 0x79ef6751, "pcie_capability_read_word" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbaec843, "i2c_add_adapter" },
	{ 0xaf26b452, "pci_get_class" },
	{ 0x611c1b67, "cdev_add" },
	{ 0x56807dae, "dma_buf_detach" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x668b19a1, "down_read" },
	{ 0x61651be, "strcat" },
	{ 0x5b632d20, "get_task_pid" },
	{ 0xa75f570d, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0xd47d42b6, "kmalloc_caches" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x972d2622, "dma_set_mask" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xab4f0cd3, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaa03669, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0x71a1a4e, "dma_buf_unmap_attachment" },
	{ 0xef9ba4, "remove_proc_entry" },
	{ 0x7a547598, "proc_mkdir_mode" },
	{ 0xcff22a9f, "pci_write_config_dword" },
	{ 0x94cef86c, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc9b6b835, "pci_read_config_dword" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd72ca010, "vm_insert_page" },
	{ 0x65b86c3c, "remap_pfn_range" },
	{ 0x7d5d23ec, "find_vma_intersection" },
	{ 0x4e26562d, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x4bd1e30c, "device_create" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2ac528fb, "pci_enable_device" },
	{ 0x3c2aad6, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4fda3336, "__dma_sync_sg_for_device" },
	{ 0x46b0dd09, "pci_dev_put" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0xa8bf6664, "single_release" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfe6ea5, "proc_create_data" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf0ef3e63, "seq_lseek" },
	{ 0x4a4ef583, "pci_read_config_byte" },
	{ 0xb4ec6e59, "pci_write_config_word" },
	{ 0xc6e01f45, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x8f719b57, "pci_assign_unassigned_bus_resources" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xb16a5ac2, "task_active_pid_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfc3a7dff, "iov_iter_kvec" },
	{ 0x1986e6c4, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb3325c76, "pci_request_regions" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccd58dd9, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0xaa4c6aae, "pci_read_config_word" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xa157c884, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ec67142, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xdbe63f3d, "kernel_write" },
	{ 0x7e4c3df5, "efi" },
	{ 0x204bbe5d, "pid_vnr" },
	{ 0x677ee8bd, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x16915c38, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa946a09e, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x5abdbfca, "dma_set_coherent_mask" },
	{ 0x2ce3d5f3, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc2310cdc, "logic_inl" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb47b58d4, "fd_install" },
	{ 0x4535748d, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3f2d100c, "pci_disable_msi" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6315f648, "__put_devmap_managed_page_refs" },
	{ 0x74513649, "kmem_cache_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x50d25197, "cdev_del" },
	{ 0xecbeb109, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x54728b1d, "put_pid" },
	{ 0xe0599f2, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xfa8a0ec6, "request_firmware" },
	{ 0xc19e960e, "pci_bus_type" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x8ea84c8f, "__alloc_pages" },
	{ 0xc631580a, "console_unlock" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb673dade, "pci_enable_msi" },
	{ 0xdcb764ad, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xfd29c1d8, "hrtimer_init" },
	{ 0xf0360e35, "__dma_sync_single_for_cpu" },
	{ 0xea0f048f, "kthread_create_on_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6eef1633, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12d5493b, "class_destroy" },
	{ 0x6e90951e, "pci_resize_resource" },
	{ 0x33037fd8, "logic_outl" },
	{ 0x25c1400e, "pci_enable_msix_range" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe7ace6f8, "seq_printf" },
	{ 0x92c6542, "kthread_stop" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ca86e1, "kernel_read" },
	{ 0x532e0d7a, "__mmap_lock_do_trace_start_locking" },
	{ 0x7f651391, "seq_read_iter" },
	{ 0xfeb92878, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x93372f21, "unpin_user_page" },
	{ 0x20b2265c, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x70c93534, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x46b33621, "pci_find_host_bridge" },
	{ 0x5cc152d7, "pci_iomap" },
	{ 0x118d8186, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea24c155, "pcibios_resource_to_bus" },
	{ 0xda470681, "pci_stop_and_remove_bus_device" },
	{ 0xf6f64771, "fget" },
	{ 0x63833020, "kmem_cache_free" },
	{ 0x94961283, "vunmap" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc8c74e2, "filp_close" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe7fd4758, "dma_alloc_attrs" },
	{ 0xc153b09e, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x263156f2, "dma_map_page_attrs" },
	{ 0x349cba85, "strchr" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb6ab6bff, "pm_vt_switch_required" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9d1b1a09, "dma_unmap_page_attrs" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xca97cee8, "dma_buf_get" },
	{ 0xf60e701b, "__free_pages" },
	{ 0xaae9d662, "param_ops_charp" },
	{ 0x521ae919, "dma_buf_put" },
	{ 0xf8fe7f24, "hrtimer_cancel" },
	{ 0xd866b179, "filp_open" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1995a007, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa4153c9e, "pci_unregister_driver" },
	{ 0x30ebc55e, "address_space_init_once" },
	{ 0xccd33338, "vmalloc_to_page" },
	{ 0xe58bb8d5, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x963ca7a7, "proc_remove" },
	{ 0x352d52dd, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x49283de9, "dma_buf_fd" },
	{ 0xd8978aef, "on_each_cpu_cond_mask" },
	{ 0xfc0a0d67, "seq_puts" },
	{ 0x19bb682e, "pci_clear_master" },
	{ 0x4063e5ea, "i2c_del_adapter" },
	{ 0xd0ed347, "pin_user_pages" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe914e41e, "strcpy" },
	{ 0x18bc8030, "pci_release_resource" },
	{ 0x47731daf, "pci_ats_supported" },
	{ 0xf1e046cc, "panic" },
	{ 0xb57bfad1, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x6e5dbd7f, "module_layout" },
};

MODULE_INFO(depends, "drm");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "9C27A8B290453A7640E09FB");
MODULE_INFO(rhelversion, "9.6");
