#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x24d13dd, "request_free_mem_region" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0x72faf52c, "mmu_interval_notifier_remove" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb1d03e1e, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6276af56, "migrate_device_range" },
	{ 0x75a802a2, "param_ops_uint" },
	{ 0xf14b2f2, "param_ops_ulong" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0x9fd2e5ec, "vmalloc_to_page" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x54c07a6d, "mmu_interval_read_begin" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d1b6c09, "pin_user_pages_remote" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x2309fbeb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2be53c45, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xdc4d0fc, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0x313c68bf, "proc_mkdir_mode" },
	{ 0x504e8720, "iommu_dev_disable_feature" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xafd0008b, "nvUvmInterfaceGetExternalAllocPhysAddrs" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7d652fb1, "unmap_mapping_range" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0x8edd2f1a, "seq_lseek" },
	{ 0xc4f0255c, "iommu_sva_bind_device" },
	{ 0x36717af0, "__put_devmap_managed_page_refs" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4eedc6ac, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x65ccf80f, "handle_mm_fault" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x92c74de6, "kmem_cache_create" },
	{ 0x22b0bf4d, "pci_p2pdma_add_resource" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x85c7cadd, "nvUvmInterfaceCslRotateKey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc07de7e6, "nvUvmInterfaceRegisterGpu" },
	{ 0x5f912a7d, "get_user_pages_remote" },
	{ 0xaa654d5b, "wake_up_process" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd01330c6, "pin_user_pages" },
	{ 0xec38f741, "hmm_range_fault" },
	{ 0x85b55ba1, "dma_map_page_attrs" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0xf1d38ffd, "nvUvmInterfaceGetFbInfo" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xde5f8c5e, "iommu_dev_enable_feature" },
	{ 0x618911fc, "numa_node" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0xb8e86b2c, "__free_pages" },
	{ 0x107b0d51, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x9ee2976a, "nvUvmInterfaceCslDecrypt" },
	{ 0x93b4df49, "find_vma" },
	{ 0x7bfbe5eb, "nvUvmInterfaceCslLogEncryption" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0x803fec8, "iommu_get_domain_for_dev" },
	{ 0xb9495da3, "cdev_add" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6c7384bb, "__task_pid_nr_ns" },
	{ 0x5ad59a7f, "devm_memunmap_pages" },
	{ 0x4ea5d10, "ksize" },
	{ 0xf4d58ccf, "vm_insert_page" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf2629b66, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa11209, "unlock_page" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xf5de97be, "get_mem_cgroup_from_mm" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x6626afca, "down" },
	{ 0x49f1262d, "nvUvmInterfaceGetNvlinkInfo" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0xe71661e, "migrate_vma_setup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x47e37427, "migrate_vma_pages" },
	{ 0xc26cfc03, "kmem_cache_free" },
	{ 0x18fff3bf, "dma_alloc_attrs" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x9166fada, "strncpy" },
	{ 0x7cd9b410, "iommu_sva_unbind_device" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0xdf8b46ca, "nvUvmInterfaceGetGpuInfo" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0xf1e046cc, "panic" },
	{ 0x73394c09, "vmap" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x98321719, "kthread_stop" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x972eb9e1, "nvUvmInterfaceDeviceCreate" },
	{ 0x6da57d04, "iommu_sva_get_pasid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2ef5f3e6, "int_active_memcg" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xdcb764ad, "memset" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0x442713e8, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x31b378d7, "unpin_user_page" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xdf7b5c05, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x79a50dbd, "find_vma_intersection" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e5c9cbd, "migrate_device_finalize" },
	{ 0xece784c2, "rb_first" },
	{ 0xd0f7b482, "proc_remove" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x91abb07b, "__mmdrop" },
	{ 0x353b9051, "kthread_create_on_node" },
	{ 0xe6eafe79, "set_page_dirty" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0x13337905, "__mmap_lock_do_trace_start_locking" },
	{ 0x842b04, "seq_read" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xdc6990c2, "dma_free_attrs" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfa135f98, "mmput" },
	{ 0x26656d4e, "memremap_pages" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0x1dae482, "param_ops_bool" },
	{ 0x7cd9fd0a, "migrate_device_pages" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0x3872f349, "migrate_vma_finalize" },
	{ 0x187a13b6, "alloc_pages" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x266c05f, "__folio_put" },
	{ 0xf9d93c0f, "__mmu_notifier_register" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa7cefee1, "seq_printf" },
	{ 0x7c246458, "__mmap_lock_do_trace_released" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xd3522366, "__folio_lock" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0xe02a9acb, "nvUvmInterfaceReportFatalError" },
	{ 0xb2204d1e, "mmu_interval_notifier_insert" },
	{ 0x8ff958e1, "node_data" },
	{ 0xbdc954fd, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9b02e313, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0xaeeb28f3, "kmalloc_trace" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0xaa90502, "nvUvmInterfaceGetP2PCaps" },
	{ 0x425912fc, "nvUvmInterfaceEnableAccessCntr" },
	{ 0xfe5f441c, "zone_device_page_init" },
	{ 0x2d7f19f0, "proc_symlink" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8958240a, "memunmap_pages" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe60df50, "param_ops_int" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x91852d13, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0x58e49a6c, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0xe9d8e4ce, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x408d6ef8, "kmalloc_caches" },
	{ 0xaeb998a1, "cdev_del" },
	{ 0x75a303c5, "make_device_exclusive_range" },
	{ 0xefd5386a, "address_space_init_once" },
	{ 0xb772329e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x32e8cfea, "mtree_load" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x957fac59, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "4B2F36F64AABB5A6563B333");
MODULE_INFO(rhelversion, "9.6");
